package opc.ua.services.common;

public class MonitoringParameters {

	/** IntegerId */
	private Integer clientHandle;
	/** Duration */
	private long samplingInterval;
	private MonitoringFilter filter;
	private Counter queueSize;
	private boolean discardOldest;

	public Integer getClientHandle() {
		return clientHandle;
	}
	public void setClientHandle(Integer clientHandle) {
		this.clientHandle = clientHandle;
	}
	public long getSamplingInterval() {
		return samplingInterval;
	}
	public void setSamplingInterval(long samplingInterval) {
		this.samplingInterval = samplingInterval;
	}
	public MonitoringFilter getFilter() {
		return filter;
	}
	public void setFilter(MonitoringFilter filter) {
		this.filter = filter;
	}
	public Counter getQueueSize() {
		return queueSize;
	}
	public void setQueueSize(Counter queueSize) {
		this.queueSize = queueSize;
	}
	public boolean isDiscardOldest() {
		return discardOldest;
	}
	public void setDiscardOldest(boolean discardOldest) {
		this.discardOldest = discardOldest;
	}

}
